/* JK TRYK APS 2022 - SOREN OLIN */

* {
  box-sizing: border-box;
  margin:0px;
}

body {
  font-family: Arial;
  padding: 0px;
  background: #f1f1f1;
}

/* Header/Title */
.header {
  padding: 30px;
  text-align: center;
  background: white;
  background: url(images/baggrund.png);
  background-repeat: no-repeat;
  background-size: cover;
  position: static;
}

.header h1 {
  font-size: 50px;
}

/* Style the top navigation bar */
.topnav {
z-index: 99;
  overflow: hidden;
  background-color: rgba(0, 156, 255, 0.85);
  backdrop-filter: blur(4px);
  -webkit-backdrop-filter: blur(4px);
  position: -webkit-sticky; /* Safari */
  position: sticky;
  top: 0;
  box-shadow: rgba(0, 0, 0, 0.25) 0px 3px 5px;}

.topnav img {
float:left; position:relative; vertical-align:top; height:42px; margin-top:3px; margin-left:20px;
}

/* Style the topnav links */
.topnav a {
  float: left;
  display: block;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

/* Change color on hover */
.topnav a:hover {
  background-color: #ddd;
  color: black;
}

/* Create two unequal columns that floats next to each other */
/* Left column 
 .leftcolumn {   
  float: left;
  width: 75%;*/
}

/* Right column 
.rightcolumn {
  float: left;
  width: 25%;
  background-color: #f1f1f1;
  padding-left: 20px;
}*/

/* Reduced width */
.gridview {
   padding-left: 10%;
   padding-right: 10%;
   margin: 5px;
}

/* Fake image */
.fakeimg {
  background-color: #aaa;
  width: 100%;
  padding: 20px;
}

/* Add a card effect for articles */
.gridview .card {
  border-radius: 0.25rem;
  background-color: white;
  padding: 20px;
  margin-top: 20px; 
  -moz-box-shadow: 0px 3px 5px rgba(0, 0, 0, 0.25);
  -webkit-box-shadow: 0px 3px 5px rgba(0, 0, 0, 0.25);
  box-shadow: 0px 3px 5px rgba(0, 0, 0, 0.25);
}
.gridview .card:hover {
  cursor: pointer;
}
/*.card {
  background-color: white;
  border-radius: 0.25rem;
  box-shadow: 0 20px 40px -14px rgba(0, 0, 0, 0.25);
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

.card:hover {
  cursor: pointer;
}*/
/*.card img {
  position:relative;
  margin-top:0px;
  padding-bottom:10px;
  height:200px;
}*/

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Footer */
.footer {
  padding: 20px;
  text-align: center;
  background: #09F;
  margin-top: 20px;
  vertical-align: bottom;

}
.footer p {
  color:white; 
  font-size:10px;
}

/* Responsive layout - when the screen is less than 800px wide, make the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 800px) {
  .leftcolumn, .rightcolumn {   
    width: 100%;
    padding: 0;
  }
}

/* Responsive layout - when the screen is less than 400px wide, make the navigation links stack on top of each other instead of next to each other */
@media screen and (max-width: 400px) {
  .topnav a {
    float: none;
    width: 100%;
  }
}


/* CURVEDSHADOW ... ENDNU IKKE BRUGT */
.curvedshadow
{
    position: relative;
}
.curvedshadow:before, .curvedshadow:after
{
    z-index: -1;
    position: absolute;
    content: "";
    bottom: 15px;
    left: 10px;
    width: 50%;
    top: 80%;
    max-width:300px;
    background: #777;
    box-shadow: 0 15px 10px #777;
    transform: rotate(-3deg);
}
.curvedshadow:after
{
    transform: rotate(3deg);
    right: 10px;
    left: auto;
}
/* MODAL POP CART RIGHT SLIDE */
.OpenMenuButton {
  cursor: pointer;
  float:right;
  margin-right:10%;

  display: block;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}


.DrawerMenu {
  position: fixed;
  z-index: 99;
  width: 100vw;
  height: 100vh;
  top: 0;
  bottom: 0;
  transform: translateX(+100%);
  transition: transform 0.5s cubic-bezier(0.4, 0, 0.2, 1);
  display: grid;
  grid-template-areas: 'MENU OVERLAY';
  grid-template-columns: 15fr 5fr
}


@media (min-width: 30em) {


.DrawerMenu {
    grid-template-columns: auto 1fr

}
  }


[data-menu]:checked ~ .DrawerMenu {
    transform: none
  
}


.Menu {
  display: block;
  flex-flow: column wrap;
  transform: translateX(+30%);
  opacity: 0.1;
  color: #fff;
  transition: all 500ms cubic-bezier(0.4, 0.0, 0.2, 1);
  transition-delay: 0;
  contain: content;
  grid-area: 'MENU';
  background-color: grey;
  box-sizing: border-box;
  padding: 24px;
  overflow: auto;

  -webkit-overflow-scrolling: touch
}


@media (min-width: 30em) {


.Menu {
    min-width: 400px

}
  }


[data-menu]:checked ~ .DrawerMenu .Menu {
    transform: none;
    opacity: 0.95;
    transition-delay: 300ms
}


.Menu a {
    text-decoration: none;
    color: #FFFFFF80;
    display: block;
    padding: 16px 0
  }


.Menu a:hover {
      color: #69F0AE;
    }


.Menu > * + * {
   /* border-top: 1px solid rgba(255, 255, 255, 0.3); */
  }


.MenuOverlay {
  display: block;
  grid-area: 'OVERLAY'
}


[data-menu]:not(:checked) ~ .DrawerMenu .MenuOverlay {
    pointer-events: none
}

/* END MODAL POP CART */
